import 'package:flutter/material.dart';

class PumaPopper extends StatelessWidget {
  final Widget child;
  final Color color;
  final bool includeSafeArea;

  PumaPopper({
    required this.child,
    this.color: Colors.white,
    this.includeSafeArea: true,
  });

  Widget safe(Widget child) {
    if (includeSafeArea) {
      return SafeArea(
        child: Padding(
          padding: const EdgeInsets.all(16.0),
          child: child,
        ),
      );
    }

    return child;
  }

  Widget build(BuildContext context) {
    return Material(
      child: Container(
        color: color,
        child: safe(
          child,
        ),
      ),
    );
  }
}
